﻿using SQLite;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DoubleDataGenerate.Core.Model
{
    /// <summary>
    /// 操作 数据库的代理， EF6 数据转换有问题，不用了
    /// </summary>
    public class ThkDbModel : SQLiteDbContext
    {
        public DBTable<Db_Profile> TbProfile { get; } = new DBTable<Db_Profile>();
        public DBTable<Db_ScanData> TbScanData { get; } = new DBTable<Db_ScanData>();
        public DBTable<Db_SampleData> TbSampleData { get; } = new DBTable<Db_SampleData>();

        public DBTable<Db_BoltmapData> TbBoltmapData { get; } = new DBTable<Db_BoltmapData>();

        public ThkDbModel(string dbPath) : base(dbPath)
        {

        }
    }


}
