﻿using Misc;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DoubleDataGenerate.Core.Model
{
   
    public class Lc_ScanData
    {
        public Int64 ID { get; set; }

        public Int64 ProfileID { get; set; }

        public DateTime Time { get; set; }

        public double K { get; set; }

        public double B { get; set; }

        public bool IsND { get; set; }

        public double Position { get; set; }

        public double Velocity { get; set; }

        public int FilmBegin { get; set; }

        public int FilmEnd { get; set; }

        public double[] Datas { get; set; }
    }

    public class Lc_SampleData
    {

        public Int64 ID { get; set; }
        public DateTime Time { get; set; }
        public int[] SampleADs { get; set; }
    }

    public class Lc_BoltmapData
    {
        /// <summary>
        /// ID
        /// </summary>
        public Int64 ID { get; set; }

        /// <summary>
        /// DB_Profile 的 ID
        /// </summary>
        public Int64 ProfileID { get; set; }

        /// <summary>
        /// 膜宽，mm， profile设定的膜宽
        /// </summary>
        public int FilmWidth { get; set; }

        public Range[] Map { get; set; }
    }
}
