﻿using MahApps.Metro.Controls;
using DoubleDataGenerate.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Misc;

namespace DoubleDataGenerate
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : MetroWindow
    {
        FLY.AppHelper.WindowNotifyIconHelper notifyiconhelper;
        DDGen upload;
        public MainWindow()
        {
            InitializeComponent();

            

            Ver ver = new Ver() { SrcType = this.GetType() };

            this.Title = ver.ToString();
            notifyiconhelper = new FLY.AppHelper.WindowNotifyIconHelper(this, this.Title);

            this.Hide();

            upload = Core.DDGen.Instance;
            this.DataContext = upload;
        }

        private void btSettingClick(object sender, RoutedEventArgs e)
        {
            WdSetting wdSetting = new WdSetting();
            wdSetting.Owner = this;
            wdSetting.ShowDialog();
        }
    }
}
